Discussion:
GnuCash out-of-date since 1 and half month
(too old to reply)
Amish via arch-general
2018-11-14 08:55:08 UTC
Permalink
Hello,

GnuCash has been flagged out of date since 1 Oct 2018. (new version 3.3)

Bug report page says to report such issues to mailing list.

So just wanted to report the same. Hope maintainers do look at it.

I have built it for myself. It gave build error with current PKGBUILD.

But I managed to build it with the following changes to PKGBUILD.

- CXXFLAGS+=' -Wno-error'
+ CFLAGS+=' -Wno-error -Wno-error=stringop-truncation'
+ CXXFLAGS+=' -Wno-error -Wno-error=stringop-truncation'
+ CMAKE_C_FLAGS+=' -Wno-error -Wno-error=stringop-truncation'
+ CMAKE_CXX_FLAGS+=' -Wno-error -Wno-error=stringop-truncation'

I am not sure which line actually worked but one of these worked.

Please upgrade the package to the latest version.

Link: https://www.archlinux.org/packages/community/x86_64/gnucash/

Thank you

Amish.

Loading...